Summary: A menu-driven file backup system.
Name: taper
Version: 6.9a
Release: 1
Copyright: GPL
Group: Applications/Archiving
Source: http://www.omen.com.au/~yusuf/%{name}-%{version}.tar.gz
URL: http://www.omen.com.au/~yusuf
Patch0: taper-6.9a-rh.patch
Patch1: taper-6.9-sparc.patch
Buildroot: /var/tmp/%{name}-root

%description
Taper is a backup and restoration program with a friendly user
interface.  Files may be backed up to a tape drive or to a hard disk.
The interface for selecting files to be backed up/restored is very
similar to the Midnight Commander interface, and allows easy traversal
of directories.  Taper supports recursive selection of directories.
Taper also supports backing up SCSI, ftape, zftape and removable
drives.  By default, taper is set for incremental backups and
automatic most recent restore.

Install the taper package if you need a user friendly file backup and
restoration program.

%prep
%setup -q
%patch0 -p1 -b .rh

%ifarch sparc
%patch1 -p1 -b .sparc
%endif

find . -name CVS -type d | xargs rm -rf

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/*
%doc docs/*

%changelog
* Tue Aug 31 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 6.9a bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed file symlinks in /usr/bin -- taper is a root only sysadmin tool
- changed -g to RPM_OPT_FLAGS for CFLAGS variable

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Sep 28 1998 Cristian Gafton <gafton@redhat.com>
- fixed bg_backup and bg_restore segv when called from command line

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 6.9.
- move to /usr/{bin,sbin}
- sparc is big endian.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.4
- buildroot

* Tue Jan  6 1998 Otto Hammersmith <otto@redhat.com>
- readded -DGLIBC_2 to Makefile.common

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.8.0

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
